## ros-kinetic-mir-description 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
cmake_policy(SET CMP0048 NEW)
project(mir_description)

find_package(catkin REQUIRED COMPONENTS
  roslaunch
)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  config
  launch
  meshes
  rviz
  urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-kinetic-mir-description (1.0.7-2xenial) xenial; urgency=high

  * Add prepend_prefix_to_laser_frame to URDF and launch files
    Fixes #65 <https://github.com/dfki-ric/mir_robot/issues/65>.
  * Add tf_prefix to URDF and launch files
  * Fix typo in robot_namespace
  * Add missing 'xacro:' xml namespace prefixes
    Macro calls without 'xacro:' prefix are deprecated in Melodic and will
    be forbidden in Noetic.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-kinetic-mir-description (1.0.6-2xenial) xenial; urgency=high

  * Update to non-deprecated robot_state_publisher node
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-kinetic-mir-description (1.0.5-2xenial) xenial; urgency=high

  * Switch from Gazebo GPU laser to normal laser plugin
    The GPU laser plugin has caused multiple people problems before, because
    it is not compatible with all GPUS: #1 <https://github.com/dfki-ric/mir_robot/issues/1>
    #32 <https://github.com/dfki-ric/mir_robot/issues/32>
    #46 <https://github.com/dfki-ric/mir_robot/issues/46>
    #52 <https://github.com/dfki-ric/mir_robot/issues/52>
    The normal laser plugin directly uses the physics engine, so it doesn't
    depend on any specific GPU. Also, it doesn't slow down the simulation
    noticeably (maybe 1-2%).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-kinetic-mir-description (1.0.4-2xenial) xenial; urgency=high

  * Add legacyModeNS param to gazebo_ros_control plugin
    This enables the new behavior of the plugin (pid_gains parameter are now
    in the proper namespace).
  * re-added gazebo friction parameters for the wheels (#19 <https://github.com/dfki-ric/mir_robot/issues/19>)
  * Contributors: Martin Günther, niniemann

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-kinetic-mir-description (1.0.3-2xenial) xenial; urgency=high

  * Merge pull request #16 <https://github.com/dfki-ric/mir_robot/issues/16> from niniemann/add-prefix-argument-to-configs
    Add prefix argument to configs
  * removed prefix from plugin frameName in sick urdf
    The gazebo plugins automatically use tf_prefix, even if none is set
    (in that case it defaults to the robot namespace). That's why we can
    remove the prefix from the plugins configuration, assuming that the
    robot namespace will be equal to the prefix.
  * adds $(arg prefix) to a lot of configs
    This is an important step to be able to re-parameterize move base,
    the diffdrive controller, ekf, amcl and the costmaps for adding a
    tf prefix to the robots links
  * workaround eval in xacro for indigo support
  * adds tf_prefix argument to imu.gazebo.urdf.xacro
  * Add TFs for ultrasound sensors
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-kinetic-mir-description (1.0.2-2xenial) xenial; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-kinetic-mir-description (1.0.1-2xenial) xenial; urgency=high

  * gazebo: Remove leading slashes in TF frames
    TF2 doesn't like it (e.g., robot_localization).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-kinetic-mir-description (1.0.0-2xenial) xenial; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-mir-description
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-kinetic-mir-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-diff-drive-controller, ros-kinetic-gazebo-ros-control, ros-kinetic-joint-state-controller, ros-kinetic-joint-state-publisher, ros-kinetic-position-controllers, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-urdf, ros-kinetic-xacro
Description: URDF description of the MiR100 robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mir-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
